/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.tests;

import java.io.*;
import java.net.*;
import java.util.*;

import org.arrowhead.testlet.*;

import talon.*;
import talon.implementations.*;


/**
 * Test the FilePropertyManager.
 *
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: Test1.java,v 1.7 2001/06/11 08:58:32 burton Exp $
 */
public class Test1 extends AbstractTestlet {


    public void initialize( TestletContext context ) throws Exception {

        //get default the property component

        ComponentHandle ch = new ComponentHandle( TalonPropertyManager.class );

        //set a required property...
        ch.getInitProperties().setProperty( "project", "talon" );
        
        Component comp = ComponentFactory.getInstance( ch );
        
    }

}
